<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\MasterController;
use App\Models\Ad;
use App\Models\Admin;
use App\Models\Building;
use App\Models\BuildingDescription;
use App\Models\BuildingType;
use App\Models\BuildingTypeDescription;
use App\Models\Category;
use App\Models\City;
use App\Models\CityDescription;
use App\Models\Client;
use App\Models\Country;
use App\Models\District;
use App\Models\DistrictDescription;
use App\Models\Language;
use App\Models\Product;
use App\Models\SubCategory;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
//use Illuminate\Support\Facades\Auth;
use Jenssegers\Agent\Agent;
use Analytics;
use Auth;
class BuildingTypeController extends MasterController
{
    public function __construct(BuildingType $model)
    {
        $this->model = $model;
        $this->route = 'building_type';
        $this->module_name         = 'قائمة الأنواع';
        $this->single_module_name  = 'نوع';
        parent::__construct();
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function validation_func()
    {
        $languages=Language::all();
        $therulesarray = [];
        foreach ( $languages as $language) {
            $therulesarray['name_'.$language->label] = 'required|max:255';
        }
        return $therulesarray;
    }

    public function store(Request $request) {
        $this->validate($request, $this->validation_func());
        $building=new BuildingType();
        $building->add_by=request('add_by');
        $building->status=request('status');
        $building->save();

        $languages=Language::all();
        foreach ($languages as $language){
            $building_description=new BuildingTypeDescription();
            $building_description->name=request('name_'.$language->label);
            $building_description->language_id=$language->id;
            $building_description->building_type_id=$building->id;
            $building_description->save();
        }

        return redirect('admin/'.$this->route.'')->with('created', 'تمت الاضافة بنجاح');
    }


    public function update($id, Request $request) {
        $this->validate($request, $this->validation_func());
        $building=$this->model->find($id);
        $building->status=request('status');
        $building->update();
        $languages=Language::all();
        foreach ($languages as $language){
            $building_description=BuildingTypeDescription::where(['building_type_id'=>$id,'language_id'=>$language->id])->first();
            if(isset($building_description)){
                $building_description->name=request('name_'.$language->label);
                $building_description->update();
            }else{
                $building_description=new BuildingTypeDescription();
                $building_description->name=request('name_'.$language->label);
                $building_description->language_id=$language->id;
                $building_description->building_type_id=$building->id;
                $building_description->save();
            }
        }

        return redirect('admin/'.$this->route.'')->with('updated','تم التعديل بنجاح');
    }

}
