<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\MasterController;
use App\Models\Ad;
use App\Models\Admin;
use App\Models\Category;
use App\Models\City;
use App\Models\CityDescription;
use App\Models\Client;
use App\Models\Country;
use App\Models\District;
use App\Models\DistrictDescription;
use App\Models\Language;
use App\Models\Product;
use App\Models\SubCategory;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
//use Illuminate\Support\Facades\Auth;
use Jenssegers\Agent\Agent;
use Analytics;
use Auth;
class DistrictController extends MasterController
{
    public function __construct(District $model)
    {
        $this->model = $model;
        $this->route = 'district';
        $this->module_name         = 'قائمة المناطق';
        $this->single_module_name  = 'منطقة';
        parent::__construct();
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function validation_func()
    {
        $languages=Language::all();
        $therulesarray = [];
        foreach ( $languages as $language) {
            $therulesarray['name_'.$language->label] = 'required|max:255';
        }
        $therulesarray['city_id'] = 'required';
        return $therulesarray;
    }

    public function store(Request $request) {
        $this->validate($request, $this->validation_func());
        $district=new District();
        $district->add_by=request('add_by');
        $district->city_id=request('city_id');
        $district->status=request('status');
        $district->save();

        $languages=Language::all();
        foreach ($languages as $language){
            $district_description=new DistrictDescription();
            $district_description->name=request('name_'.$language->label);
            $district_description->language_id=$language->id;
            $district_description->district_id=$district->id;
            $district_description->save();
        }

        return redirect('admin/'.$this->route.'')->with('created', 'تمت الاضافة بنجاح');
    }


    public function update($id, Request $request) {
        $this->validate($request, $this->validation_func());
        $district=$this->model->find($id);
        $district->status=request('status');
        $district->city_id=request('city_id');
        $district->update();
        $languages=Language::all();
        foreach ($languages as $language){
            $district_description=DistrictDescription::where(['district_id'=>$id,'language_id'=>$language->id])->first();
            if(isset($district_description)){
                $district_description->name=request('name_'.$language->label);
                $district_description->update();
            }else{
                $district_description=new DistrictDescription();
                $district_description->name=request('name_'.$language->label);
                $district_description->language_id=$language->id;
                $district_description->district_id=$district->id;
                $district_description->save();
            }

        }

        return redirect('admin/'.$this->route.'')->with('updated','تم التعديل بنجاح');
    }



}
