<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\MasterController;
use App\Models\Ad;
use App\Models\Admin;
use App\Models\Building;
use App\Models\BuildingDescription;
use App\Models\Category;
use App\Models\City;
use App\Models\CityDescription;
use App\Models\Client;
use App\Models\Country;
use App\Models\District;
use App\Models\DistrictDescription;
use App\Models\Flat;
use App\Models\Language;
use App\Models\Product;
use App\Models\SubCategory;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
//use Illuminate\Support\Facades\Auth;
use Jenssegers\Agent\Agent;
use Analytics;
use Auth;
class FlatController extends MasterController
{
    public function __construct(Flat $model)
    {
        $this->model = $model;
        $this->route = 'flat';
        $this->module_name         = 'قائمة الشقق';
        $this->single_module_name  = 'شقة';

        parent::__construct();
    }





    public function validation_func()
    {
        $therulesarray['name'] = 'required';
        $therulesarray['rent'] = 'required';
        return $therulesarray;
    }
    public function store(Request $request) {
        $this->validate($request, $this->validation_func());
        $flat=new Flat();
        $flat->add_by=request('add_by');
        $flat->status=request('status');
        $flat->name=request('name');
        $flat->rent=request('rent');
        $flat->building_id=request('building_id');
        $flat->save();
        return redirect('admin/'.$this->route.'')->with('created', 'تمت الاضافة بنجاح');
    }
    public function update($id, Request $request) {
        $this->validate($request, $this->validation_func());
        $flat=$this->model->find($id);
        $flat->status=request('status');
        $flat->name=request('name');
        $flat->rent=request('rent');
        $flat->building_id=request('building_id');
        $flat->update();
        return redirect('admin/'.$this->route.'')->with('updated','تم التعديل بنجاح');
    }
    public function dropdown($id){
        $building=Building::find($id);
        if($building->building_type_id == 2){
            $flats = Flat::where('building_id',$id)->get();
        }else{
            $flats =[];
        }
        return response()->json($flats);
    }


}
