<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\MasterController;
use App\Models\Month;
use App\Models\MonthDescription;
use App\Models\Page;
use App\Models\Language;
use App\Models\PageDescription;
use App\Models\SubPage;
use Illuminate\Http\Request;
use Analytics;
use Auth;
class MonthController extends MasterController
{
    public function __construct(Month $model)
    {
        $this->model = $model;
        $this->route = 'month';
        $this->module_name         = 'قائمة الاشتراكات';
        $this->single_module_name  = 'اشتراك';
        parent::__construct();
    }

    public function validation_func()
    {
        $languages=Language::all();
        $therulesarray = [];
        foreach ( $languages as $language) {
            $therulesarray['name_'.$language->label] = 'required';
            $therulesarray['note_'.$language->label] = 'required';
        }
        return $therulesarray;
    }
    public function store(Request $request) {
        $this->validate($request, $this->validation_func());
        $month=new Month();
        $month->add_by=request('add_by');
        $month->building_id=request('building_id');
        $month->rent=request('rent');
        $month->save();
        $languages=Language::all();
        foreach ($languages as $language){
            $month_description=new MonthDescription();
            $month_description->name=request('name_'.$language->label);
            $month_description->note='<center>'.request('note_'.$language->label).'</center>';
            $month_description->language_id=$language->id;
            $month_description->month_id=$month->id;
            $month_description->save();
        }
        return redirect('admin/'.$this->route.'')->with('created', 'تمت الاضافة بنجاح');
    }

    public function update($id, Request $request) {
        $this->validate($request, $this->validation_func());
        $month=$this->model->find($id);
        $month->building_id=request('building_id');
        $month->rent=request('rent');
        $month->update();
        $languages=Language::all();
        foreach ($languages as $language){
            $month_description=MonthDescription::where(['month_id'=>$id,'language_id'=>$language->id])->first();
            if(isset($month_description)){
                $month_description->name=request('name_'.$language->label);
                $month_description->note='<center>'.request('note_'.$language->label).'</center>';
                $month_description->update();
            }else{
                $month_description=new PageDescription();
                $month_description->name=request('name_'.$language->label);
                $month_description->note='<center>'.request('note_'.$language->label).'</center>';
                $month_description->language_id=$language->id;
                $month_description->month_id=$month->id;
                $month_description->save();
            }

        }
        return redirect('admin/'.$this->route.'')->with('updated','تم التعديل بنجاح');
    }



}
