<?php

namespace App\Http\Controllers\Admin;
use App\Models\Slider;
use App\Models\SliderDescription;
use App\Models\Language;
use Illuminate\Http\Request;
use Jenssegers\Agent\Agent;
use Auth;
class SliderController extends MasterController
{
    public function __construct(Slider $model)
    {
        $this->model = $model;
        $this->route = 'slider';
        $this->module_name         = 'قائمة الاسليدرز ';
        $this->single_module_name  = 'بانر';
        parent::__construct();
    }

    public function validation_func()
    {
        $languages=Language::all();
        $therulesarray = [];
        foreach ( $languages as $language) {
            $therulesarray['note_'.$language->label] = 'required';
        }
        $therulesarray['image'] ='mimes:png,jpg,jpeg';
        return $therulesarray;
    }

    public function store(Request $request) {
        $this->validate($request, $this->validation_func());
        $slider=new Slider();
        $slider->image=request('image');
        $slider->save();
        $languages=Language::all();
        foreach ($languages as $language){
            $slider_description=new SliderDescription();
            $slider_description->note=request('note_'.$language->label);
            $slider_description->language_id=$language->id;
            $slider_description->slider_id=$slider->id;
            $slider_description->save();
        }
        return redirect('admin/'.$this->route.'')->with('created', 'تمت الاضافة بنجاح');
    }


    public function update($id, Request $request) {
        $this->validate($request, $this->validation_func());
        $slider=$this->model->find($id);
        if(request('image')){
            $slider->image=request('image');
        }
        $slider->update();
        $languages=Language::all();
        foreach ($languages as $language){
            $slider_description=SliderDescription::where(['slider_id'=>$id,'language_id'=>$language->id])->first();
            if(isset($slider_description)){
                $slider_description->note=request('note_'.$language->label);
                $slider_description->update();
            }else{
                $slider_description=new SliderDescription();
                $slider_description->note=request('note_'.$language->label);
                $slider_description->language_id=$language->id;
                $slider_description->slider_id=$slider->id;
                $slider_description->save();
            }
        }
        return redirect('admin/'.$this->route.'')->with('updated','تم التعديل بنجاح');
    }
}