<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\MasterController;
use App\Models\Ad;
use App\Models\Admin;
use App\Models\Category;
use App\Models\City;
use App\Models\Client;
use App\Models\Country;
use App\Models\Product;
use App\Models\SubCategory;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
//use Illuminate\Support\Facades\Auth;
use Jenssegers\Agent\Agent;
use Analytics;
use Auth;
class UnionUserController extends MasterController
{
    public function __construct(User $model)
    {
        $this->model = $model;
        $this->route = 'union_user';
        $this->module_name         = 'قائمة الأعضاء';
        $this->single_module_name  = 'عضو';
        $this->index_fields        = ['الاسم' => 'username','رقم الجوال' => 'mobile','البريد الالكترونى' => 'email'];
        $this->create_fields        = ['الاسم' => 'username','رقم الجوال' => 'mobile','البريد الالكترونى' => 'email'];
        $this->update_fields        = ['الاسم' => 'username','رقم الجوال' => 'mobile','البريد الالكترونى' => 'email'];
        parent::__construct();
    }
    public function index() {
        $rows = $this->model->where('type','union')->latest()->get();
        return view('admin.'.$this->route.'.index', compact('rows'));
    }

    public function validation_func($method,$id=null)
    {
        if($method == 1) // POST Case
        {
            return ['username' => 'required|unique:users', 'mobile' => 'required|unique:users','email'=>'email|max:255|unique:users', 'image' => 'mimes:png,jpg,jpeg','password'=>'required|min:6'];
        }else{
            return ['username' => 'required|unique:users,username,'.$id, 'mobile' => 'required|unique:users,mobile,'.$id,'email'=>'email|max:255|unique:users,email,'.$id, 'image' => 'mimes:png,jpg,jpeg'];
        }
    }

    public function store(Request $request) {
        $this->validate($request, $this->validation_func(1));
        $user=new User();
        $user->status=request('status');
        $user->username=request('username');
        $user->password=request('password');
        $user->mobile=request('mobile');
        $user->email=request('email');
        if(request('image')){
            $user->image=request('image');
        }
        $user->building_id=request('building_id');
        $user->type='union';
        $user->save();
        return redirect('admin/'.$this->route.'')->with('created', 'تمت الاضافة بنجاح');
    }


    public function update($id, Request $request) {
        $this->validate($request, $this->validation_func(2,$id));
        $user=$this->model->find($id);
        $user->username=request('username');
        if(request('password')){
            $user->password=request('password');
        }
        $user->mobile=request('mobile');
        $user->email=request('email');
        if(request('image')){
            $user->image=request('image');
        }
        $user->building_id=request('building_id');
        $user->update();
        return redirect('admin/'.$this->route.'')->with('updated','تم التعديل بنجاح');
    }



}
