<?php

namespace App\Http\Controllers\Api;

use App\Models\Gift;
use App\Models\GiftDescription;
use App\Models\Order;
use Validator;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class GiftController extends Controller
{


    public function gifts($lang, Request $request)
    {

        $gifts = Gift::all();

        $data = [];
        foreach ($gifts as $gift) {
            $arr['id'] = (string)$gift->id;
            if (!$gift->image) {
                $arr['image'] = (string)asset('images/logo/default.png');
            } else {
                $arr['image'] = (string)asset('images/gifts/' . $gift->image);
            }
            if ($lang == 'ar') {
                $arr['name'] = GiftDescription::where(['language_id' => 1, 'gift_id' => $gift->id])->value('name');
            } else {
                $arr['name'] = GiftDescription::where(['language_id' => 2, 'gift_id' => $gift->id])->value('name');
            }
            if ($request->poor_id) {
                $available = Order::where(['poor_id' => $request->poor_id, 'gift_id' => $gift->id, 'poor_confirm' => 'active', 'rich_confirm' => 'active'])->first();
                $new_poor = Order::where(['poor_id' => $request->poor_id])->first();
                if (!$new_poor) {
                    $arr['available'] = true;
                } elseif ($available) {
                    $arr['available'] = true;
                } else {
                    $arr['available'] = false;
                }
            } else {
                $arr['available'] = true;
            }
            $data[] = $arr;
        }

        return response()->json(['value' => true, 'data' => $data]);
    }

}
