@extends('admin.layouts.app')
@section('title',$module_name)
@section('content')
    <div class="content">
        <div class="container">
            <!-- Page-Title -->
            <div class="row">
                <div class="col-sm-12">
                    <div class="card-box table-responsive">
                        <table id="datatable-buttons" class="table table-striped table-bordered">
                            <thead>
                            <tr>
                                <th> صاحب العقار </th>
                                <th> اسم العقار </th>
                                <th> نوع العقار </th>
                                <th> حالة العقار </th>
                                <th> نوع الايجار </th>
                                <th> قيمة الايجار </th>
                                <th> صورة </th>
                                <th> الحالة </th>
                                <th> التحكم </th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($rows as $row)
                                <tr>
                                    @php
                                        $building_name=\App\Models\BuildingDescription::where(['language_id'=>1,'building_id'=>$row->id])->value('name');
                                        $building_type=\App\Models\BuildingTypeDescription::where(['language_id'=>1,'building_type_id'=>$row->building_type_id])->value('name');
                                        $hiring_type=\App\Models\HiringTypeDescription::where(['language_id'=>1,'hiring_type_id'=>$row->hiring_type_id])->value('name');
                                        $building_status=\App\Models\BuildingStatusDescription::where(['language_id'=>1,'building_status_id'=>$row->building_status_id])->value('name');
                                    @endphp
                                    <th> {{$row->client->name}} </th>
                                    <td> {{ $building_name }}</td>
                                    <th> {!! $building_type !!} </th>
                                    <th> {!! $building_status !!} </th>
                                    <th> {!! $hiring_type !!} </th>
                                    @if($row->building_type_id==2)
                                        <td>شقق</td>
                                    @else
                                        <th> {!! $row->rent !!} </th>
                                    @endif
                                    @php
                                    $image=\App\Models\BuildingImage::where('building_id',$row->id)->value('name');
                                    @endphp
                                    @if($image==null)
                                        <td data-toggle="modal" data-target="#myModal{{$row->id}}"> <img class="img-preview" src="{{ asset('images/building/default.png') }}" style="height: 85px;width: 85px; border-radius: 50%"> </td>
                                        <div id="myModal{{$row->id}}" class="modal fade" role="img">
                                            <div class="modal-dialog">
                                                <div class="modal-content">
                                                    <div class="modal-body">
                                                        <img data-toggle="modal" data-target="#myModal{{$row->id}}" class="img-preview" src="{{ asset('images/building/default.png') }}" style="max-height: 500px">
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @else
                                        <td data-toggle="modal" data-target="#myModal{{$row->id}}"> <img class="img_preview" src="{{ asset('images/building/'.$image) }}" style="height: 85px;width: 85px; border-radius: 50%"> </td>
                                        <div id="myModal{{$row->id}}" class="modal fade" role="img">
                                            <div class="modal-dialog">
                                                <div class="modal-content">
                                                    <div class="modal-body">
                                                        <img data-toggle="modal" data-target="#myModal{{$row->id}}" class="img-preview" src="{{ asset('images/building/'.$image) }}" style="max-height: 500px">
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endif
                                    <th> {!! $row->activate() !!} </th>

                                    <td class="actions">
                                            <div class="row" style="margin-top: 20px">
                                                <div class="col-md-3">
                                                    {!! Form::open(['method' => 'DELETE','data-id'=>$row->id, 'route' => [$route.'.destroy',$row->id],'class'=>'delete']) !!}
                                                    {!! Form::hidden('id', $row->id) !!}
                                                    <button type="button"  class="btn btn-danger btn-custom waves-effect waves-light"><i class="fa fa-trash"></i></button>
                                                    {!! Form::close() !!}
                                                </div>
                                                <div class="col-md-3">
                                                    <a href="{{route($route.'.edit',$row->id)}}">
                                                        <button type="button" class="btn btn-info btn-custom waves-effect waves-light"><i class="fa fa-edit"></i></button>
                                                    </a>
                                                </div>
                                                <div class="col-md-3">
                                                    <a href="{{route($route.'.show',$row->id)}}">
                                                        <button type="button" class="btn btn-success btn-custom waves-effect waves-light"><i class="fa fa-eye"></i></button>
                                                    </a>
                                                </div>
                                            </div>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div> <!-- container -->
    </div> <!-- content -->
@stop
@section('script')
    <script type="text/javascript">
        $(document).ready(function () {

            $('#datatable').dataTable();
            $('#datatable-keytable').DataTable({keys: true});
            $('#datatable-responsive').DataTable();
            $('#datatable-colvid').DataTable({
                "dom": 'C<"clear">lfrtip',
                "colVis": {
                    "buttonText": "Change columns"
                }
            });
            $('#datatable-scroller').DataTable({
                ajax: "public/panel/assets/plugins/datatables/json/scroller-demo.json",
                deferRender: true,
                scrollY: 380,
                scrollCollapse: true,
                scroller: true
            });
            var table = $('#datatable-fixed-header').DataTable({fixedHeader: true});
            var table = $('#datatable-fixed-col').DataTable({
                scrollY: "300px",
                scrollX: true,
                scrollCollapse: true,
                paging: false,
                fixedColumns: {
                    leftColumns: 1,
                    rightColumns: 1
                }
            });
        });
        TableManageButtons.init();

    </script>

    <script>
        $(document).on('click', '.delete', function (e) {
            e.preventDefault();
            var id = $(this).data('id');
            swal({
                    title: "هل انت متأكد من الحذف ؟",
                    text: "لن تستطيع استعادة هذا العنصر مرة أخرى!",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonClass: 'btn-danger',
                    confirmButtonText: 'نعم , قم بالحذف!',
                    cancelButtonText: 'ﻻ , الغى عملية الحذف!',
                    closeOnConfirm: false,
                    closeOnCancel: false
                },
                function (isConfirm) {
                    if (isConfirm) {
                        swal("تم الحذف !", "تم حذف العنصر من قاعدة البيانات!", "success");
                        $("form[data-id='"+id+"']").submit();
                    } else {
                        swal("تم الالغاء", "ما زال العنصر متاح بقاعدة بياناتك :)", "error");
                    }
                });
        });
    </script>

@endsection
