@extends('admin.layouts.app')
@section('style')
    {{--<link href="{{asset('panel/assets/plugins/dropzone/dropzone.css')}}" rel="stylesheet" type="text/css" />--}}
    <link href="{{asset('panel/assets/plugins/summernote/summernote.css')}}" rel="stylesheet" />
@stop
@section('title',$module_name)
@section('content')
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card-box">
                        <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                                إضافة {{ $single_module_name }}
                            </b>
                            <hr>
                        </h4>
                        {!! Form::open(['method'=>'post', 'files'=>true, 'enctype' => 'multipart/form-data', 'route'=>[$route.'.store'], 'class' => 'form-row-seperated add_ads_form' ]) !!}
                        {!! Form::hidden('add_by', Auth::user()->id) !!}
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label">المبنى التابعه له الشقة</label>
                                    {{ Form::select('building_id', $buildings, null, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true)) }}
                                    @if ($errors->has('building_id'))
                                        <small class="text-danger">{{ $errors->first('building_id') }}</small>
                                    @endif
                                </div>
                                <div>
                                    <label for="title">اسم الشقة</label>
                                    {!! Form::text('name', null, ['class'=>'form-control']) !!}
                                    @if ($errors->has('rent'))
                                        <small class="text-danger">{{ $errors->first('name') }}</small>
                                    @endif
                                </div>
                                <div>
                                    <label for="title">سعر الايجار</label>
                                    {!! Form::number('rent', null, ['class'=>'form-control']) !!}
                                    @if ($errors->has('rent'))
                                        <small class="text-danger">{{ $errors->first('rent') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label class="control-label">الحالة</label>
                                    {{ Form::select('status', $status, null, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true)) }}
                                    @if ($errors->has('status'))
                                        <small class="text-danger">{{ $errors->first('status') }}</small>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="control-label col-md-push-1">
                                <button type="submit" class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                    إضافة
                                </button>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <!-- google maps api -->
    <!-- main file -->
    <script src="{{asset('panel/assets/plugins/summernote/summernote.min.js')}}"></script>

    {{--<script src="{{asset('panel/assets/plugins/dropzone/dropzone.js')}}"></script>--}}
<script>
    var loadFile = function(event) {
        // var length=event.target.files.length;
        // alert(length)
        var output = document.getElementById('output');
        output.src = URL.createObjectURL(event.target.files[0]);
    };
</script>
    <script>
        jQuery(document).ready(function(){
            $('.summernote').summernote({
                height: 350,                 // set editor height
                minHeight: null,             // set minimum height of editor
                maxHeight: null,             // set maximum height of editor
                focus: false                 // set focus to editable area after initializing summernote
            });
            $('.inline-editor').summernote({
                airMode: true
            });
        });
    </script>

<script>
    //Set up some of our variables.
    var map; //Will contain map object.
    var marker = false; ////Has the user plotted their location marker?
    //Function called to initialize / create the map.
    //This is called when the page has loaded.
    function initMap() {
        //The center location of our map.
        var centerOfMap = new google.maps.LatLng(24.665658,46.7440368);
        //Map options.
        var options = {
            center: centerOfMap, //Set center.
            zoom: 14 //The zoom value.
        };
        //Create the map object.
        map = new google.maps.Map(document.getElementById('map'), options);
        //Listen for any clicks on the map.
        google.maps.event.addListener(map, 'click', function(event) {
            //Get the location that the user clicked.
            var clickedLocation = event.latLng;
            //If the marker hasn't been added.
            if(marker === false){
                //Create the marker.
                marker = new google.maps.Marker({
                    position: clickedLocation,
                    map: map,
                    draggable: true //make it draggable
                });
                //Listen for drag events!
                google.maps.event.addListener(marker, 'dragend', function(event){
                    markerLocation();
                });
            } else{
                //Marker has already been added, so just change its location.
                marker.setPosition(clickedLocation);
            }
            //Get the marker's location.
            markerLocation();
        });
    }
    //This function will get the marker's current location and then add the lat/long
    //values to our textfields so that we can save the location.
    function markerLocation(){
        //Get location.
        var currentLocation = marker.getPosition();
        //Add lat and lng values to a field that we can save.
        document.getElementById('lat').value = currentLocation.lat(); //latitude
        document.getElementById('lng').value = currentLocation.lng(); //longitude
    }
    google.maps.event.addDomListener(window, 'load', initMap);
</script>
    {{--<script>--}}
        {{--function initMap() {--}}
            {{--var uluru = {lat:24.665658, lng: 46.7440368};--}}
            {{--var map = new google.maps.Map(document.getElementById('map'), {--}}
                {{--zoom: 14,--}}
                {{--center: uluru--}}
            {{--});--}}
            {{--var marker = new google.maps.Marker({--}}
                {{--position: uluru,--}}
                {{--map: map--}}
            {{--});--}}
        {{--}--}}
    {{--</script>--}}
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBKhmEeCCFWkzxpDjA7QKjDu4zdLLoqYVw&callback=initMap">
    </script>
@stop