@extends('admin.layouts.app')
@section('title',$module_name)
@section('style')
    <link href="{{asset('panel/assets/plugins/summernote/summernote.css')}}" rel="stylesheet" />
@endsection
@section('content')
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card-box">
                        <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                                تعديل بيانات {{ $single_module_name }}
                            </b>
                            <hr>
                        </h4>
                        @if($errors->any())
                            <div class="alert alert-danger alert-dismissible fade in" role="alert">
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </div>
                        @endif
                        {!! Form::model($row, ['method'=>'patch','name'=>'update', 'files'=>true, 'route'=>[$route.'.update', $row->id], 'class' => 'form-horizontal form-row-seperated']) !!}
                        {!! Form::hidden('id', $row->id) !!}
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label"> المبنى </label>
                                    {{ Form::select('building_id', $unions, $row->building_id, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true,'id'=>'building')) }}
                                    @if ($errors->has('building_id'))
                                        <small class="text-danger">{{ $errors->first('building_id') }}</small>
                                    @endif
                                </div>
                                @php
                                    $name=\App\Models\MonthDescription::where(['language_id'=>1,'month_id'=>$row->id])->value('name');
                                    $note=\App\Models\MonthDescription::where(['language_id'=>1,'month_id'=>$row->id])->value('note');
                                @endphp
                                @foreach($languages as $language)
                                    <div>
                                        <label for="title">اسم الشهر بـ{{$language->name}}</label>
                                        {!! Form::text('name_'.$language->label, $name, ['class'=>'form-control']) !!}
                                        @if ($errors->has('name_'.$language->label))
                                            <small class="text-danger">{{ $errors->first('name_'.$language->label) }}</small>
                                        @endif
                                    </div>
                                    <div>
                                        <label for="title">تفاصيل الاشتراك بـ{{$language->name}}</label>
                                        {!! Form::textarea('note_'.$language->label, $note , ['class'=>'form-control summernote']) !!}
                                        @if ($errors->has('note_'.$language->label))
                                            <small class="text-danger">{{ $errors->first('note_'.$language->label) }}</small>
                                        @endif
                                    </div>
                                @endforeach
                                <div class="form-group">
                                    <label class="control-label"> المبلغ المطلوب من كل شقه </label>
                                    {{ Form::number('rent', $row->rent, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true,'id'=>'building')) }}
                                    @if ($errors->has('rent'))
                                        <small class="text-danger">{{ $errors->first('rent') }}</small>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="control-label col-md-push-1">
                                <button type="submit" class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                    تعديل
                                </button>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script src="{{asset('panel/assets/plugins/summernote/summernote.min.js')}}"></script>
    <script>
        jQuery(document).ready(function(){
            $('.summernote').summernote({
                height: 350,                 // set editor height
                minHeight: null,             // set minimum height of editor
                maxHeight: null,             // set maximum height of editor
                focus: false                 // set focus to editable area after initializing summernote
            });
            $('.inline-editor').summernote({
                airMode: true
            });
        });
    </script>
@stop