@extends('web.layouts.app')
@section('title','ثمار التطور')
@if (session()->has('lang'))
    @if (session()->get('lang') == 'en')
        <?php $language_id=2;?>
    @else
        <?php $language_id=1;?>
    @endif
@else
    <?php $language_id=1;?>
@endif
@section('header')
    <div class="breadcramb" data-parallax="scroll" data-image-src="{{asset('web/images/loading.jpg')}}">
        <div class="container">
            <h3>عقار</h3>
            <div class="overlay-breadcramb">
                <h4><a href="{{route('index')}}">{{trans('web.home')}}</a> <i class="fa fa-angle-left"></i> {{trans('web.building')}} </h4>
            </div>
        </div><!-- container -->
    </div><!-- breadcramb -->

    <div class="page_options options-page">
        <p data-toggle="tooltip" data-placement="left" title="الاعدادات"><i class="fa fa-cog"></i></p>
        <ul>
            @if(!Auth::guard('client')->check() && !Auth::check())
                <li><a href="{{route('login')}}">{{trans('web.login')}}</a></li>
                {{--<li><a href="{{route('register')}}">تسجيل جديد</a></li>--}}
            @elseif(Auth::user())
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('logout')}}">{{trans('web.logout')}}</a></li>
            @elseif(Auth::guard('client'))
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('client.logout')}}">{{trans('web.logout')}}</a></li>
            @endif
        </ul>
    </div>
@stop

@section('content')
    @if($type=='building')
        @php
            $image = App\Models\BuildingImage::where(['building_id' => $building->id])->value('name');
            $images = App\Models\BuildingImage::where(['building_id' => $building->id])->get();
            $owner_name=App\Models\Client::where('id',$building->client_id)->value('name');
            $building_name = App\Models\BuildingDescription::where(['building_id' => $building->id, 'language_id' => $language_id])->value('name');
            $note = App\Models\BuildingDescription::where(['building_id' => $building->id, 'language_id' => $language_id])->value('note');
            $city_name = App\Models\CityDescription::where(['city_id' => $building->district->city_id, 'language_id' => $language_id])->value('name');
            $district_name = App\Models\DistrictDescription::where(['district_id' => $building->district_id, 'language_id' => $language_id])->value('name');
            $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $building->building_status_id, 'language_id' => $language_id])->value('name');
            $hiring=App\Models\Hiring::where('building_id',$building->id)->first();
        @endphp
    @else
        @php
            $building_name = $building->name;
            $note = App\Models\BuildingDescription::where(['building_id' => $building->building->id, 'language_id' => $language_id])->value('note');
            $image = App\Models\BuildingImage::where(['building_id' => $building->building->id])->value('name');
            $images = App\Models\BuildingImage::where(['building_id' => $building->building->id])->get();
            $owner_name=App\Models\Client::where('id',$building->building->client_id)->value('name');
            $city_name = App\Models\CityDescription::where(['city_id' => $building->building->district->city_id, 'language_id' => $language_id])->value('name');
            $district_name = App\Models\DistrictDescription::where(['district_id' => $building->building->district_id, 'language_id' => $language_id])->value('name');
            $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $building->building->building_status_id, 'language_id' => $language_id])->value('name');
            $hiring=App\Models\Hiring::where('flat_id',$building->id)->first();
        @endphp
    @endif
    <div class="estates details-aqar">
        <div class="container">
            <div class="sliders">
                <div class="col-md-12">
                    <div class="inner">
                        <div class="img col-md-6">
                            <img src="{{asset('images/building/'.$image)}}" style="height: auto; max-height: 500px">
                        </div><!-- img -->

                        <div class="inner-text col-md-6">
                            <h3 class="pull-right">{{$owner_name}}</h3>
                            <a class="pull-left" data-toggle="tooltip" data-placement="left" title="مفضله">
                                <i class="fa fa-star"></i></a>
                            <br>
                            <div class="clearfix"></div>

                            <br>
                            <ul>
                                <li><i class="fa fa-building"></i> {{$building_name}}</li>
                                <li><i class="fa fa-map-marker"></i> {{$city_name}}, {{$district_name}}</li>
                                <li><i class="fa fa-facebook"></i> {{$status_name}}</li>
                            </ul>

                            <br>
                            <br>
                            <h4>{{trans('web.details')}}</h4>
                            <div>{!! $note !!}</div>
                            @if($hiring)

                                <h4>{{trans('web.start_hiring')}}:</h4><h5>{{\Carbon\Carbon::parse($hiring->start_period)->toDateString()}}</h5>
                                <h4>{{trans('web.end_hiring')}}:</h4><h5>{{\Carbon\Carbon::parse($hiring->end_period)->toDateString()}}</h5>
                                <h4>{{trans('web.rent')}}:</h4><h5>{{$building->rent}}</h5>
                            @endif


                        </div><!-- inner-text -->
                    </div><!-- inner -->


                </div><!-- col-md-4 -->
            </div><!-- slider -->


            <div class="clearfix"></div>
            <br>
            <br>
            <br>


            <div class="slider-with-lightbox">
                @foreach($images as $image)
                    <div class="item">
                        <a class="fancybox" href="{{asset('images/building/'.$image->name)}}" data-fancy-group="gallary"><img src="{{asset('images/building/'.$image->name)}}"/></a>
                    </div><!-- item -->
                @endforeach
            </div><!-- slider-with-lightbox -->


        </div><!-- container -->
    </div><!-- estates -->
@endsection