@extends('web.layouts.app')
@if (session()->has('lang'))
    @if (session()->get('lang') == 'en')
        <?php $language_id=2;?>
    @else
        <?php $language_id=1;?>
    @endif
@else
    <?php $language_id=1;?>
@endif
@section('header')
    <div class="breadcramb" data-parallax="scroll" data-image-src="{{asset('web/images/loading.jpg')}}">
        <div class="container">
            <h3>عقاراتي</h3>
            <div class="overlay-breadcramb">
                <h4><a href="{{route('index')}}">{{trans('web.home')}}</a> <i class="fa fa-angle-left"></i> {{trans('web.my_buildings')}} </h4>
            </div>
        </div><!-- container -->
    </div><!-- breadcramb -->

    <div class="page_options options-page">
        <p data-toggle="tooltip" data-placement="left" title="الاعدادات"><i class="fa fa-cog"></i></p>
        <ul>
            @if(!Auth::guard('client')->check() && !Auth::check())
                <li><a href="{{route('login')}}">{{trans('web.login')}}</a></li>
                {{--<li><a href="{{route('register')}}">تسجيل جديد</a></li>--}}
            @elseif(Auth::user())
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('logout')}}">{{trans('web.logout')}}</a></li>
            @elseif(Auth::guard('client'))
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('client.logout')}}">{{trans('web.logout')}}</a></li>
            @endif
        </ul>
    </div>
@stop

@section('content')
<div class="estates">
    <div class="container">
        <div class="title-section wow fadeInUp" data-wow-duration="1.25s" data-wow-delay=".5s">
            <h3><span>{{trans('web.my_buildings')}}</span></h3>
        </div><!-- title -->
        <ul class="nav nav-tabs tabs-aqarati" role="tablist">
            <li role="presentation" class="active"><a href="#hiring" aria-controls="hiring" role="tab" data-toggle="tab">{{trans('web.hiring_buildings')}}</a></li>
            <li role="presentation"><a href="#not_hiring" aria-controls="not_hiring" role="tab" data-toggle="tab">{{trans('web.non_hiring_buildings')}}</a></li>
        </ul>
          <br>
          <br>
          <br>
        <div class="tab-content">
            <div role="tabpanel" class="tab-pane active fade in" id="hiring">
                <div class="sliders">
                    @foreach($hiring_buildings as $building)
                        @php
                            $image = App\Models\BuildingImage::where(['building_id' => $building->id])->value('name');
                            $owner_name=App\Models\Client::where('id',$building->client_id)->value('name');
                            $building_name = App\Models\BuildingDescription::where(['building_id' => $building->id, 'language_id' =>$language_id])->value('name');
                            $city_name = App\Models\CityDescription::where(['city_id' => $building->district->city_id, 'language_id' =>$language_id])->value('name');
                            $district_name = App\Models\DistrictDescription::where(['district_id' => $building->district_id, 'language_id' =>$language_id])->value('name');
                            $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $building->building_status_id, 'language_id' =>$language_id])->value('name');
                        @endphp
                        <div class="col-md-4">
                            <div class="inner">
                                <div class="img">
                                    <a href="{{route('building',[$building->id,'building'])}}"><img src="{{asset('images/building/'.$image)}}"></a>
                                </div><!-- img -->

                                <div class="inner-text">
                                    <h3>{{$owner_name}}</h3>
                                    <ul>
                                        <li><i class="fa fa-building"></i> {{$building_name}}</li>
                                        <li><i class="fa fa-map-marker"></i> {{$city_name}}, {{$district_name}}</li>
                                        <li><i class="fa fa-facebook"></i>{{$status_name}}</li>
                                    </ul>
                                </div><!-- inner-text -->
                            </div><!-- inner -->
                        </div><!-- col-md-4 -->
                    @endforeach
                    @foreach($hiring_flats as $flat)
                        @php
                            $building_name = $flat->name;
                            $image = App\Models\BuildingImage::where(['building_id' => $flat->building->id])->value('name');
                            $owner_name=App\Models\Client::where('id',$flat->building->client_id)->value('name');
                            $city_name = App\Models\CityDescription::where(['city_id' => $flat->building->district->city_id, 'language_id' =>$language_id])->value('name');
                            $district_name = App\Models\DistrictDescription::where(['district_id' => $flat->building->district_id, 'language_id' =>$language_id])->value('name');
                            $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $flat->building->building_status_id, 'language_id' =>$language_id])->value('name');
                        @endphp
                        <div class="col-md-4">
                            <div class="inner">
                                <div class="img">
                                    <a href="{{route('building',[$flat->id,'flat'])}}"><img src="{{asset('images/building/'.$image)}}"></a>
                                </div><!-- img -->

                                <div class="inner-text">
                                    <h3>{{$owner_name}}</h3>
                                    <ul>
                                        <li><i class="fa fa-building"></i> {{$building_name}}</li>
                                        <li><i class="fa fa-map-marker"></i> {{$city_name}}, {{$district_name}}</li>
                                        <li><i class="fa fa-facebook"></i>{{$status_name}}</li>
                                    </ul>
                                </div><!-- inner-text -->
                            </div><!-- inner -->
                        </div><!-- col-md-4 -->
                    @endforeach
                    <div class="clearfix"></div>
                    <div class="total-hiring">
                        <h4>{{trans('web.total_rent')}}</h4>
                        <h3>{{$salary}}</h3>
                    </div><!-- total-hiring -->
                </div><!-- slider -->    
            </div><!-- #hiring -->
            <div role="tabpanel" class="tab-pane fade" id="not_hiring">
                <div class="sliders">
                    @foreach($not_hiring_buildings as $building)
                        @php
                            $image = App\Models\BuildingImage::where(['building_id' => $building->id])->value('name');
                            $owner_name=App\Models\Client::where('id',$building->client_id)->value('name');
                            $building_name = App\Models\BuildingDescription::where(['building_id' => $building->id, 'language_id' =>$language_id])->value('name');
                            $city_name = App\Models\CityDescription::where(['city_id' => $building->district->city_id, 'language_id' =>$language_id])->value('name');
                            $district_name = App\Models\DistrictDescription::where(['district_id' => $building->district_id, 'language_id' =>$language_id])->value('name');
                            $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $building->building_status_id, 'language_id' =>$language_id])->value('name');
                        @endphp
                        <div class="col-md-4">
                            <div class="inner">
                                <div class="img">
                                    <a href="{{route('building',[$building->id,'building'])}}"><img src="{{asset('images/building/'.$image)}}"></a>
                                </div><!-- img -->

                                <div class="inner-text">
                                    <h3>{{$owner_name}}</h3>
                                    <ul>
                                        <li><i class="fa fa-building"></i> {{$building_name}}</li>
                                        <li><i class="fa fa-map-marker"></i> {{$city_name}}, {{$district_name}}</li>
                                        <li><i class="fa fa-facebook"></i>{{$status_name}}</li>
                                    </ul>
                                </div><!-- inner-text -->
                            </div><!-- inner -->
                        </div><!-- col-md-4 -->
                    @endforeach
                    @foreach($not_hiring_flats as $flat)
                            @php
                                $building_name = $flat->name;
                                $image = App\Models\BuildingImage::where(['building_id' => $flat->building->id])->value('name');
                                $owner_name=App\Models\Client::where('id',$flat->building->client_id)->value('name');
                                $city_name = App\Models\CityDescription::where(['city_id' => $flat->building->district->city_id, 'language_id' =>$language_id])->value('name');
                                $district_name = App\Models\DistrictDescription::where(['district_id' => $flat->building->district_id, 'language_id' =>$language_id])->value('name');
                                $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $flat->building->building_status_id, 'language_id' =>$language_id])->value('name');
                            @endphp
                            <div class="col-md-4">
                                <div class="inner">
                                    <div class="img">
                                        <a href="{{route('building',[$flat->id,'flat'])}}"><img src="{{asset('images/building/'.$image)}}"></a>
                                    </div><!-- img -->

                                    <div class="inner-text">
                                        <h3>{{$owner_name}}</h3>
                                        <ul>
                                            <li><i class="fa fa-building"></i> {{$building_name}}</li>
                                            <li><i class="fa fa-map-marker"></i> {{$city_name}}, {{$district_name}}</li>
                                            <li><i class="fa fa-facebook"></i>{{$status_name}}</li>
                                        </ul>
                                    </div><!-- inner-text -->
                                </div><!-- inner -->
                            </div><!-- col-md-4 -->
                    @endforeach
                </div><!-- slider -->
            </div><!-- not_hiring -->
        </div><!-- tab-content -->
    </div><!-- container -->
</div><!-- estates -->
@endsection

