@extends('web.layouts.app')
@section('header')
    <div class="breadcramb" data-parallax="scroll" data-image-src="{{asset('web/images/loading.jpg')}}">
        <div class="container">
            <h3>{{trans('web.union')}} </h3>
            <div class="overlay-breadcramb">
                <h4><a href="{{route('index')}}">{{trans('web.home')}}</a> <i class="fa fa-angle-left"></i>{{trans('web.union')}}</h4>
            </div>
        </div><!-- container -->
    </div><!-- breadcramb -->
    <div class="page_options options-page">
        <p data-toggle="tooltip" data-placement="left" title="الاعدادات"><i class="fa fa-cog"></i></p>
        <ul>
            @if(!Auth::guard('client')->check() && !Auth::check())
                <li><a href="{{route('login')}}">{{trans('web.login')}}</a></li>
                {{--<li><a href="{{route('register')}}">تسجيل جديد</a></li>--}}
            @elseif(Auth::user())
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('logout')}}">{{trans('web.logout')}}</a></li>
            @elseif(Auth::guard('client'))
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('client.logout')}}">{{trans('web.logout')}}</a></li>
            @endif
        </ul>
    </div>
@stop

@section('content')
<div class="container">
   <div class="owners">
       <div class="row client-options">
           <div class="col-sm-6">
                <span>{{$month_name}}</span>
                <span>{{trans('web.rent')}} : {{$month->rent}} ر.س</span>
           </div><!-- md-6 -->

           <div class="col-sm-6">
                <span> <b>{{trans('web.union_count')}} </b> : {{$users->count()}} </span>
           </div><!-- md-6 -->
       </div><!-- row -->

       <br>
       <br>

       <div class="section">
           @foreach($users as $user)
               <div class="row">
                   <div class="col-md-4 col-sm-5 col-xs-12  client">
                       @if($user->image)
                           <img src="{{asset('images/user/'.$user->image)}}">
                       @else
                           <img src="{{asset('web/images/logo.png')}}">
                       @endif
                       <span>{{$user->username}}</span>
                   </div><!-- .md-4 -->

                   <div class="col-md-4 col-sm-3 col-xs-12  price">
                       <span>{{$month->rent}} ر.س</span>
                   </div><!-- .md-4 -->

                   <div class="col-md-4 col-sm-4 col-xs-12 statue">
                       @php
                           $baid=App\Models\MonthBill::where(['month_id'=>$month->id,'user_id'=>$user->id,'confirm'=>'1'])->first();
                       @endphp
                       @if($baid)
                           <span>{{trans('web.paid')}}</span>
                       @else
                           <span>{{trans('web.non_paid')}}</span>
                       @endif
                   </div><!-- .md-4 -->
               </div><!-- row -->
           @endforeach
       </div><!-- section -->


       <div class="text-in-owners">
         <h3>{{trans('web.details')}} </h3>
         <p>{!! $note !!}</p>
       </div><!-- text-in-owners -->


<div class="clearfix"></div>
   </div><!-- owners -->
</div><!-- container -->
         <br>
         <br>
<div class="clearfix"></div>
@endsection

