<?php $__env->startSection('style'); ?>
    <link href="<?php echo e(asset('panel/assets/plugins/summernote/summernote.css')); ?>" rel="stylesheet" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('title',$module_name); ?>
<?php $__env->startSection('content'); ?>
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card-box">
                        <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                                إضافة <?php echo e($single_module_name); ?>

                            </b>
                            <hr>
                        </h4>
                        <?php echo Form::open(['method'=>'post', 'files'=>true, 'enctype' => 'multipart/form-data', 'route'=>[$route.'.store'], 'class' => 'form-row-seperated add_ads_form']); ?>

                        <?php echo Form::hidden('add_by', Auth::user()->id); ?>

                        <div class="row">
                            <div class="col-md-12">
                                <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div>
                                        <label for="title">اسم المبنى بـ<?php echo e($language->name); ?></label>
                                        <?php echo Form::text('name_'.$language->label, null, ['class'=>'form-control']); ?>

                                        <?php if($errors->has('name_'.$language->label)): ?>
                                            <small class="text-danger"><?php echo e($errors->first('name_'.$language->label)); ?></small>
                                        <?php endif; ?>
                                    </div>
                                    <div>
                                        <label for="title">تفاصيل أخرى بـ<?php echo e($language->name); ?></label>
                                        <?php echo Form::textarea('note_'.$language->label, null , ['class'=>'form-control summernote']); ?>

                                        <?php if($errors->has('note_'.$language->label)): ?>
                                            <small class="text-danger"><?php echo e($errors->first('note_'.$language->label)); ?></small>
                                        <?php endif; ?>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                <div class="form-group">
                                    <label class="control-label">صاحب العقار</label>
                                    <?php echo e(Form::select('country_id', $clients, null, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true))); ?>

                                    <?php if($errors->has('country_id')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('country_id')); ?></small>
                                    <?php endif; ?>
                                </div>
                                <div class="form-group">
                                    <label class="control-label">نوع العقار</label>
                                    <?php echo e(Form::select('country_id', $building_types, null, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true))); ?>

                                    <?php if($errors->has('country_id')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('country_id')); ?></small>
                                    <?php endif; ?>
                                </div>
                                <div class="form-group">
                                    <label class="control-label">حالة العقار</label>
                                    <?php echo e(Form::select('country_id', $building_statuses, null, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true))); ?>

                                    <?php if($errors->has('country_id')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('country_id')); ?></small>
                                    <?php endif; ?>
                                </div>
                                <div class="form-group">
                                    <label class="control-label">نوع الايجار</label>
                                    <?php echo e(Form::select('country_id', $hiring_types, null, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true))); ?>

                                    <?php if($errors->has('country_id')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('country_id')); ?></small>
                                    <?php endif; ?>
                                </div>

                                <div>
                                    <label for="title">سعر الايجار</label>
                                    <?php echo Form::text('rent', null, ['class'=>'form-control']); ?>

                                    <?php if($errors->has('rent')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('rent')); ?></small>
                                    <?php endif; ?>
                                </div>

                                <div class="form-group">
                                    <label class="control-label">الحالة</label>
                                    <?php echo e(Form::select('status', $status, null, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true))); ?>

                                    <?php if($errors->has('status')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('status')); ?></small>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="control-label col-md-push-1">
                                <button type="submit" class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                    إضافة
                                </button>
                            </div>
                        </div>

                        <?php echo Form::close(); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function() {
            // Basic
            $('.dropify').dropify();
            // Translated
            $('.dropify-fr').dropify({
                messages: {
                    default: 'Glissez-déposez un fichier ici ou cliquez',
                    replace: 'Glissez-déposez un fichier ou cliquez pour remplacer',
                    remove: 'Supprimer',
                    error: 'Désolé, le fichier trop volumineux'
                }
            });
            // Used events
            var drEvent = $('#input-file-events').dropify();
            drEvent.on('dropify.beforeClear', function(event, element) {
                return confirm("Do you really want to delete \"" + element.file.name + "\" ?");
            });
            drEvent.on('dropify.afterClear', function(event, element) {
                alert('File deleted');
            });
            drEvent.on('dropify.errors', function(event, element) {
                console.log('Has Errors');
            });
            var drDestroy = $('#input-file-to-destroy').dropify();
            drDestroy = drDestroy.data('dropify')
            $('#toggleDropify').on('click', function(e) {
                e.preventDefault();
                if (drDestroy.isDropified()) {
                    drDestroy.destroy();
                } else {
                    drDestroy.init();
                }
            })
        });
    </script>
    <script src="<?php echo e(asset('panel/assets/plugins/summernote/summernote.min.js')); ?>"></script>
    <script>
        jQuery(document).ready(function(){
            $('.summernote').summernote({
                height: 350,                 // set editor height
                minHeight: null,             // set minimum height of editor
                maxHeight: null,             // set maximum height of editor
                focus: false                 // set focus to editable area after initializing summernote
            });
            $('.inline-editor').summernote({
                airMode: true
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>