<?php $__env->startSection('header'); ?>
    <div class="breadcramb" data-parallax="scroll" data-image-src="<?php echo e(asset('web/images/loading.jpg')); ?>">
        <div class="container">
            <h3><?php echo e(trans('web.union')); ?> </h3>
            <div class="overlay-breadcramb">
                <h4><a href="<?php echo e(route('index')); ?>"><?php echo e(trans('web.home')); ?></a> <i class="fa fa-angle-left"></i><?php echo e(trans('web.union')); ?></h4>
            </div>
        </div><!-- container -->
    </div><!-- breadcramb -->
    <div class="page_options options-page">
        <p data-toggle="tooltip" data-placement="left" title="الاعدادات"><i class="fa fa-cog"></i></p>
        <ul>
            <?php if(!Auth::guard('client')->check() && !Auth::check()): ?>
                <li><a href="<?php echo e(route('login')); ?>"><?php echo e(trans('web.login')); ?></a></li>
                
            <?php elseif(Auth::user()): ?>
                
                <li><a href="<?php echo e(route('logout')); ?>"><?php echo e(trans('web.logout')); ?></a></li>
            <?php elseif(Auth::guard('client')): ?>
                
                <li><a href="<?php echo e(route('client.logout')); ?>"><?php echo e(trans('web.logout')); ?></a></li>
            <?php endif; ?>
        </ul>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="container">
   <div class="owners">
       <div class="row client-options">
           <div class="col-sm-6">
                <span><?php echo e($month_name); ?></span>
                <span><?php echo e(trans('web.rent')); ?> : <?php echo e($month->rent); ?> ر.س</span>
           </div><!-- md-6 -->

           <div class="col-sm-6">
                <span> <b><?php echo e(trans('web.union_count')); ?> </b> : <?php echo e($users->count()); ?> </span>
           </div><!-- md-6 -->
       </div><!-- row -->

       <br>
       <br>

       <div class="section">
           <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <div class="row">
                   <div class="col-md-4 col-sm-5 col-xs-12  client">
                       <?php if($user->image): ?>
                           <img src="<?php echo e(asset('images/user/'.$user->image)); ?>">
                       <?php else: ?>
                           <img src="<?php echo e(asset('web/images/logo.png')); ?>">
                       <?php endif; ?>
                       <span><?php echo e($user->username); ?></span>
                   </div><!-- .md-4 -->

                   <div class="col-md-4 col-sm-3 col-xs-12  price">
                       <span><?php echo e($month->rent); ?> ر.س</span>
                   </div><!-- .md-4 -->

                   <div class="col-md-4 col-sm-4 col-xs-12 statue">
                       <?php
                           $baid=App\Models\MonthBill::where(['month_id'=>$month->id,'user_id'=>$user->id,'confirm'=>'1'])->first();
                       ?>
                       <?php if($baid): ?>
                           <span><?php echo e(trans('web.paid')); ?></span>
                       <?php else: ?>
                           <span><?php echo e(trans('web.non_paid')); ?></span>
                       <?php endif; ?>
                   </div><!-- .md-4 -->
               </div><!-- row -->
           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
       </div><!-- section -->


       <div class="text-in-owners">
         <h3><?php echo e(trans('web.details')); ?> </h3>
         <p><?php echo $note; ?></p>
       </div><!-- text-in-owners -->


<div class="clearfix"></div>
   </div><!-- owners -->
</div><!-- container -->
         <br>
         <br>
<div class="clearfix"></div>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('web.layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>