
<?php $__env->startSection('header'); ?>
    <div class="breadcramb" data-parallax="scroll" data-image-src="<?php echo e(asset('web/images/loading.jpg')); ?>">
        <div class="container">
            <h3>عقاراتي</h3>
            <div class="overlay-breadcramb">
                <h4><a href="<?php echo e(route('index')); ?>">الرئيسية</a> <i class="fa fa-angle-left"></i> عقاراتي </h4>
            </div>
        </div><!-- container -->
    </div><!-- breadcramb -->

    <div class="page_options options-page">
        <p data-toggle="tooltip" data-placement="left" title="الاعدادات"><i class="fa fa-cog"></i></p>
        <ul>
            <?php if(!Auth::guard('client')->check() && !Auth::check()): ?>
                <li><a href="<?php echo e(route('login')); ?>">تسجيل دخول</a></li>
                
            <?php elseif(Auth::user()): ?>
                
                <li><a href="<?php echo e(route('logout')); ?>">خروج</a></li>
            <?php elseif(Auth::guard('client')): ?>
                
                <li><a href="<?php echo e(route('client.logout')); ?>">خروج</a></li>
            <?php endif; ?>
        </ul>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="estates">
    <div class="container">
        <div class="title-section wow fadeInUp" data-wow-duration="1.25s" data-wow-delay=".5s">
            <h3><span>عقاراتي</span></h3>
        </div><!-- title -->
        <ul class="nav nav-tabs tabs-aqarati" role="tablist">
            <li role="presentation" class="active"><a href="#hiring" aria-controls="hiring" role="tab" data-toggle="tab">العقارات المؤجره</a></li>
            <li role="presentation"><a href="#not_hiring" aria-controls="not_hiring" role="tab" data-toggle="tab">العقارات الغير مؤجره</a></li>
        </ul>
          <br>
          <br>
          <br>
        <div class="tab-content">
            <div role="tabpanel" class="tab-pane active fade in" id="hiring">
                <div class="sliders">
                    <?php $__currentLoopData = $hiring_buildings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $building): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $image = App\Models\BuildingImage::where(['building_id' => $building->id])->value('name');
                            $owner_name=App\Models\Client::where('id',$building->client_id)->value('name');
                            $building_name = App\Models\BuildingDescription::where(['building_id' => $building->id, 'language_id' => 1])->value('name');
                            $city_name = App\Models\CityDescription::where(['city_id' => $building->district->city_id, 'language_id' => 1])->value('name');
                            $district_name = App\Models\DistrictDescription::where(['district_id' => $building->district_id, 'language_id' => 1])->value('name');
                            $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $building->building_status_id, 'language_id' => 1])->value('name');
                        ?>
                        <div class="col-md-4">
                            <div class="inner">
                                <div class="img">
                                    <a href="<?php echo e(route('building',[$building->id,'building'])); ?>"><img src="<?php echo e(asset('images/building/'.$image)); ?>"></a>
                                </div><!-- img -->

                                <div class="inner-text">
                                    <h3><?php echo e($owner_name); ?></h3>
                                    <ul>
                                        <li><i class="fa fa-building"></i> <?php echo e($building_name); ?></li>
                                        <li><i class="fa fa-map-marker"></i> <?php echo e($city_name); ?>, <?php echo e($district_name); ?></li>
                                        <li><i class="fa fa-facebook"></i><?php echo e($status_name); ?></li>
                                    </ul>
                                </div><!-- inner-text -->
                            </div><!-- inner -->
                        </div><!-- col-md-4 -->
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php $__currentLoopData = $hiring_flats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $flat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $building_name = $flat->name;
                            $image = App\Models\BuildingImage::where(['building_id' => $flat->building->id])->value('name');
                            $owner_name=App\Models\Client::where('id',$flat->building->client_id)->value('name');
                            $city_name = App\Models\CityDescription::where(['city_id' => $flat->building->district->city_id, 'language_id' => 1])->value('name');
                            $district_name = App\Models\DistrictDescription::where(['district_id' => $flat->building->district_id, 'language_id' => 1])->value('name');
                            $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $flat->building->building_status_id, 'language_id' => 1])->value('name');
                        ?>
                        <div class="col-md-4">
                            <div class="inner">
                                <div class="img">
                                    <a href="<?php echo e(route('building',[$flat->id,'flat'])); ?>"><img src="<?php echo e(asset('images/building/'.$image)); ?>"></a>
                                </div><!-- img -->

                                <div class="inner-text">
                                    <h3><?php echo e($owner_name); ?></h3>
                                    <ul>
                                        <li><i class="fa fa-building"></i> <?php echo e($building_name); ?></li>
                                        <li><i class="fa fa-map-marker"></i> <?php echo e($city_name); ?>, <?php echo e($district_name); ?></li>
                                        <li><i class="fa fa-facebook"></i><?php echo e($status_name); ?></li>
                                    </ul>
                                </div><!-- inner-text -->
                            </div><!-- inner -->
                        </div><!-- col-md-4 -->
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <div class="clearfix"></div>
                    <div class="total-hiring">
                        <h4>اجمالي الايجار</h4>
                        <h3><?php echo e($salary); ?></h3>
                    </div><!-- total-hiring -->
                </div><!-- slider -->    
            </div><!-- #hiring -->
            <div role="tabpanel" class="tab-pane fade" id="not_hiring">
                <div class="sliders">
                    <?php $__currentLoopData = $not_hiring_buildings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $building): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $image = App\Models\BuildingImage::where(['building_id' => $building->id])->value('name');
                            $owner_name=App\Models\Client::where('id',$building->client_id)->value('name');
                            $building_name = App\Models\BuildingDescription::where(['building_id' => $building->id, 'language_id' => 1])->value('name');
                            $city_name = App\Models\CityDescription::where(['city_id' => $building->district->city_id, 'language_id' => 1])->value('name');
                            $district_name = App\Models\DistrictDescription::where(['district_id' => $building->district_id, 'language_id' => 1])->value('name');
                            $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $building->building_status_id, 'language_id' => 1])->value('name');
                        ?>
                        <div class="col-md-4">
                            <div class="inner">
                                <div class="img">
                                    <a href="<?php echo e(route('building',[$building->id,'building'])); ?>"><img src="<?php echo e(asset('images/building/'.$image)); ?>"></a>
                                </div><!-- img -->

                                <div class="inner-text">
                                    <h3><?php echo e($owner_name); ?></h3>
                                    <ul>
                                        <li><i class="fa fa-building"></i> <?php echo e($building_name); ?></li>
                                        <li><i class="fa fa-map-marker"></i> <?php echo e($city_name); ?>, <?php echo e($district_name); ?></li>
                                        <li><i class="fa fa-facebook"></i><?php echo e($status_name); ?></li>
                                    </ul>
                                </div><!-- inner-text -->
                            </div><!-- inner -->
                        </div><!-- col-md-4 -->
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php $__currentLoopData = $not_hiring_flats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $flat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $building_name = $flat->name;
                                $image = App\Models\BuildingImage::where(['building_id' => $flat->building->id])->value('name');
                                $owner_name=App\Models\Client::where('id',$flat->building->client_id)->value('name');
                                $city_name = App\Models\CityDescription::where(['city_id' => $flat->building->district->city_id, 'language_id' => 1])->value('name');
                                $district_name = App\Models\DistrictDescription::where(['district_id' => $flat->building->district_id, 'language_id' => 1])->value('name');
                                $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $flat->building->building_status_id, 'language_id' => 1])->value('name');
                            ?>
                            <div class="col-md-4">
                                <div class="inner">
                                    <div class="img">
                                        <a href="<?php echo e(route('building',[$flat->id,'flat'])); ?>"><img src="<?php echo e(asset('images/building/'.$image)); ?>"></a>
                                    </div><!-- img -->

                                    <div class="inner-text">
                                        <h3><?php echo e($owner_name); ?></h3>
                                        <ul>
                                            <li><i class="fa fa-building"></i> <?php echo e($building_name); ?></li>
                                            <li><i class="fa fa-map-marker"></i> <?php echo e($city_name); ?>, <?php echo e($district_name); ?></li>
                                            <li><i class="fa fa-facebook"></i><?php echo e($status_name); ?></li>
                                        </ul>
                                    </div><!-- inner-text -->
                                </div><!-- inner -->
                            </div><!-- col-md-4 -->
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div><!-- slider -->
            </div><!-- not_hiring -->
        </div><!-- tab-content -->
    </div><!-- container -->
</div><!-- estates -->
<?php $__env->stopSection(); ?>


<?php echo $__env->make('web.layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>