<?php $__env->startSection('title',$module_name); ?>
<?php $__env->startSection('style'); ?>
    <link href="<?php echo e(asset('panel/assets/plugins/summernote/summernote.css')); ?>" rel="stylesheet" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="content">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="card-box">
                <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                        تعديل بيانات <?php echo e($module_name); ?>

                    </b>
                    <hr>
                </h4>
                <?php echo Form::model($row, ['method'=>'patch','name'=>'update', 'files'=>true, 'route'=>[$route.'.update_setting', $row->id], 'class' => 'form-horizontal form-row-seperated']); ?>

                    <?php echo Form::hidden('id', $row->id); ?>

                    <div class="row">
                        <div class="col-md-6">
                            <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div>
                                    <label for="title">الاسم بـ<?php echo e($language->name); ?></label>
                                    <?php $name=\App\Models\SettingDescription::where(['language_id'=>$language->id,'setting_id'=>$row->id])->value('name'); ?>
                                    <?php echo Form::text('name_'.$language->label, $name, ['class'=>'form-control']); ?>

                                    <?php if($errors->has('name_'.$language->label)): ?>
                                        <small class="text-danger"><?php echo e($errors->first('name_'.$language->label)); ?></small>
                                    <?php endif; ?>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php $__currentLoopData = $update_fields; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $labels => $fields): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php $s1=$fields; $s2="id"; ?>
                                <div class="form-group<?php echo e($errors->has($fields) ? ' has-error' : ''); ?>">
                                    <label for="title"><?php echo e($labels); ?></label>
                                    <?php echo Form::text($fields, null, ['class'=>'form-control']); ?>

                                    <?php if($errors->has($fields)): ?>
                                        <small class="text-danger"><?php echo e($errors->first($fields)); ?></small>
                                    <?php endif; ?>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <div class="col-md-6">
                            <div class="white-box">
                                <label for="input-file-now-custom-1">لوجو الموقع</label>
                                <input name="logo" type="file" id="input-file-now-custom-1" class="dropify" <?php if($row->logo): ?> data-default-file="<?php echo e(asset('images/logo/'.$row->logo)); ?>" <?php else: ?> data-default-file="<?php echo e(asset('panel/assets/images/logo.png')); ?>"  <?php endif; ?>/>
                                <?php if($errors->has('logo')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('logo')); ?></small>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div>
                            <label for="title">عن الموقع بـ<?php echo e($language->name); ?></label>
                            <?php $about=\App\Models\SettingDescription::where(['language_id'=>$language->id,'setting_id'=>$row->id])->value('about'); ?>
                            <?php echo Form::textarea('about_'.$language->label, $about , ['class'=>'form-control summernote']); ?>

                            <?php if($errors->has('about_'.$language->label)): ?>
                                <small class="text-danger"><?php echo e($errors->first('about_'.$language->label)); ?></small>
                            <?php endif; ?>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <div class="form-group">
                        <div class="control-label col-md-push-1">
                            <button type="submit" class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                تعديل
                            </button>
                        </div>
                    </div>
                <?php echo Form::close(); ?>

            </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function() {
            // Basic
            $('.dropify').dropify();
            // Translated
            $('.dropify-fr').dropify({
                messages: {
                    default: 'Glissez-déposez un fichier ici ou cliquez',
                    replace: 'Glissez-déposez un fichier ou cliquez pour remplacer',
                    remove: 'Supprimer',
                    error: 'Désolé, le fichier trop volumineux'
                }
            });
            // Used events
            var drEvent = $('#input-file-events').dropify();
            drEvent.on('dropify.beforeClear', function(event, element) {
                return confirm("Do you really want to delete \"" + element.file.name + "\" ?");
            });
            drEvent.on('dropify.afterClear', function(event, element) {
                alert('File deleted');
            });
            drEvent.on('dropify.errors', function(event, element) {
                console.log('Has Errors');
            });
            var drDestroy = $('#input-file-to-destroy').dropify();
            drDestroy = drDestroy.data('dropify')
            $('#toggleDropify').on('click', function(e) {
                e.preventDefault();
                if (drDestroy.isDropified()) {
                    drDestroy.destroy();
                } else {
                    drDestroy.init();
                }
            })
        });
    </script>
    <script src="<?php echo e(asset('panel/assets/plugins/summernote/summernote.min.js')); ?>"></script>
    <script>
        jQuery(document).ready(function(){
            $('.summernote').summernote({
                height: 350,                 // set editor height
                minHeight: null,             // set minimum height of editor
                maxHeight: null,             // set maximum height of editor
                focus: false                 // set focus to editable area after initializing summernote
            });
            $('.inline-editor').summernote({
                airMode: true
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>