<?php $__env->startSection('title',$module_name); ?>
<?php $__env->startSection('style'); ?>
    <link href="<?php echo e(asset('panel/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('panel/assets/plugins/bootstrap-daterangepicker/daterangepicker.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card-box">
                        <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                                إضافة <?php echo e($single_module_name); ?>

                            </b>
                            <hr>
                        </h4>
                        <?php echo Form::open(['method'=>'post', 'files'=>true, 'enctype' => 'multipart/form-data', 'route'=>[$route.'.store'], 'class' => 'form-row-seperated add_ads_form']); ?>

                        <?php echo Form::hidden('add_by', Auth::user()->id); ?>

                        <div class="row">
                            <div class="col-md-12">
                                <?php $__currentLoopData = $create_fields; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $labels => $fields): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php $s1=$fields; $s2="id"; ?>
                                    <?php if(substr($s1, -strlen($s2))==$s2): ?>
                                        <div class="form-group<?php echo e($errors->has($fields) ? ' has-error' : ''); ?>">
                                            <label for="title"><?php echo e($labels); ?></label>
                                            <?php echo e(Form::select($fields, $type, null, array('class' => 'form-control'))); ?>


                                        </div>
                                    <?php else: ?>
                                        <div class="form-group<?php echo e($errors->has($fields) ? ' has-error' : ''); ?>">
                                            <label for="title"><?php echo e($labels); ?></label>
                                            <?php echo Form::text($fields, null, ['class'=>'form-control']); ?>


                                        </div>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <div class="form-group">
                                    <label class="control-label"> المبنى </label>
                                    <?php echo e(Form::select('building_id', $not_hiring_buildings_array, null, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true,'id'=>'building'))); ?>

                                    <?php if($errors->has('building_id')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('building_id')); ?></small>
                                    <?php endif; ?>
                                </div>
                                    <?php
                                        $hiring=\App\Models\Hiring::where('building_id','!=',null)->pluck('building_id');
                                        $building=\App\Models\Building::where(['type'=>'owner'])->whereNotIn('id',$hiring)->first();
                                        $building_name=\App\Models\BuildingDescription::where(['building_id'=>$building->id,'language_id'=>1])->value('name');
                                        if($building->building_type_id == 2){
                                            $hiring=\App\Models\Hiring::where('flat_id','!=',null)->pluck('flat_id');
                                            $flats = \App\Models\Flat::where('building_id',$building->id)->whereNotIn('id',$hiring)->get();
                                        }else{
                                            $flats=null;
                                        }
                                    ?>
                                <div class="form-group">
                                    <label class="control-label"> الشقة </label>
                                    <select id="flat" name="flat_id" class="form-control">
                                        <?php if($flats): ?>
                                            <?php $__currentLoopData = $flats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $flat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($flat->id); ?>"><?php echo e($flat->name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <option value="" selected disabled>بدون</option>
                                        <?php endif; ?>
                                    </select>
                                    <?php if($errors->has('flat_id')): ?>
                                        <small class="text-danger"><?php echo e($errors->first('flat_id')); ?></small>
                                    <?php endif; ?>
                                </div>

                                <div class="form-group">
                                    <label class="control-label">موعد بداية الاشتراك</label>
                                    <div class="input-group">
                                        <input required type="text" name="start_period" class="form-control" placeholder="mm/dd/yyyy" id="start_period">
                                        <span class="input-group-addon bg-custom b-0 text-white"><i class="icon-calender"></i></span>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label">موعد نهاية الاشتراك</label>
                                    <div class="input-group">
                                        <input required type="text" name="end_period" class="form-control" placeholder="mm/dd/yyyy" id="end_period">
                                        <span class="input-group-addon bg-custom b-0 text-white"><i class="icon-calender"></i></span>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="form-group">
                            <div class="control-label col-md-push-1">
                                <button type="submit" class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                    إضافة
                                </button>
                            </div>
                        </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function(){
            $( "#start_period" ).datepicker();
            $( "#end_period" ).datepicker();
            $('#building').change(function(e){
                e.preventDefault();
                $.ajax({
                    url:"<?php echo e(url('admin/flat/dropdown')); ?>/"+$(this).val(),
                    type:"GET",
                    dataType:"json",
                    success:function(data){
                        $('#flat').empty();
                        $.each(data, function(index, flat) {
                            $('#flat').append("<option value='"+ flat.id +"'>" + flat.name + "</option>");
                        });
                    }
                });
            });
        });
    </script>
    <script src="<?php echo e(url('panel/assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js')); ?>"></script>
    <script src="<?php echo e(url('panel/assets/plugins/bootstrap-daterangepicker/daterangepicker.js')); ?>"></script>
    <script src="<?php echo e(url('panel/assets/pages/jquery.form-pickers.init.js')); ?>"></script>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>