//
//  loginUserModel.swift
//  LastVersionOfThemar
//
//  Created by mohamed loves hassun and nasif on 6/3/18.
//  Copyright © 2018 mohamed loves hassun and nasif. All rights reserved.
//

import Foundation


struct LoginUser: Codable {
    let value: Bool?
    let data: User? // that for login , returned key is different than register
    let msg : String?
}

struct User: Codable {
    let id: String?
    let username, name, email, image: String?
    let mobile, latitude, longitude, type: String?
    let district_id, district_name, identityNumber, city_name: String?
}

extension LoginUser {
    init(data: Data) throws {
        self = try JSONDecoder().decode(LoginUser.self, from: data)
    }
    
    init(_ json: String, using encoding: String.Encoding = .utf8) throws {
        guard let data = json.data(using: encoding) else {
            throw NSError(domain: "JSONDecoding", code: 0, userInfo: nil)
        }
        try self.init(data: data)
    }
    
    init(fromURL url: URL) throws {
        try self.init(data: try Data(contentsOf: url))
    }
    
    func jsonData() throws -> Data {
        return try JSONEncoder().encode(self)
    }
    
    func jsonString(encoding: String.Encoding = .utf8) throws -> String? {
        return String(data: try self.jsonData(), encoding: encoding)
    }
}

extension User {
    init(data: Data) throws {
        self = try JSONDecoder().decode(User.self, from: data)
    }
    
    init(_ json: String, using encoding: String.Encoding = .utf8) throws {
        guard let data = json.data(using: encoding) else {
            throw NSError(domain: "JSONDecoding", code: 0, userInfo: nil)
        }
        try self.init(data: data)
    }
    
    init(fromURL url: URL) throws {
        try self.init(data: try Data(contentsOf: url))
    }
    
    func jsonData() throws -> Data {
        return try JSONEncoder().encode(self)
    }
    
    func jsonString(encoding: String.Encoding = .utf8) throws -> String? {
        return String(data: try self.jsonData(), encoding: encoding)
    }
}
